/* $Id: CompContainer.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.*;

interface CompContainer extends CompObject {
  public CompContained[] contents();
  public CompContained lookup(String name, String ver);
  public CompContained[] lookup(String name);
  public CompContained lookupTag(String name, String tag);
  public boolean addObject(CompContained what);

  /** Add subobjects to normal repository.
    * @param obj      this object in normal object
    * @param normRep  normal (work) repository
    * @param delayed  store interface, if it was created by forward declaration 
    */
  public void addToNormal(Container obj, CDLRepository normRep, java.util.ArrayList delayed) throws CDLExceptToNormal, CDLExceptRemote, CDLExceptLock;
}
