/* $Id: CompExprString.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL; 
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.RemoteException;

class CompExprString extends CompExprOper {
  public String value;
  public CompExprString(String val) {
    super(CompExprKind.e_string);
    value = val;
  }

  public int type() { return CompExprKind.e_string; }
  public boolean isProp() { return false; }

  public EnumList nameProp(CompRepository rep) throws CDLExceptRemote, CDLExceptLock {
    EnumList l = new EnumList();
    return l;
  }

  public int isPositive() {
    return -2;
  }

  public ExprOperDef toNormal(CDLRepository rep) throws CDLExceptToNormal, CDLExceptRemote, CDLExceptLock {
    try {
      return ((Repository) rep.get_containing_repository()).create_exprstring(value);
    } catch (RemoteException e) {
      throw new CDLExceptRemote("Remote exception occured: "+e.getMessage());
    } catch (TIRExceptCreate ecr) {
      throw new CDLExceptToNormal("Can't create expression");
    }
  }

  public String toString() {
    return value;
  }
}
