/* $Id: CompProtBinOper.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

class CompProtBinOper extends CompProtOper {
  public CompProtOper operand1;
  public CompProtOper operand2;
  public CompProtBinOper(CompProtOper operand1, CompProtOper operand2, int kind) {
    super(kind);
    this.operand1 = operand1;
    this.operand2 = operand2;
  }  

  public String toText() {
    StringBuffer sb = new StringBuffer("(");
    String strOp="";
    switch (type) {
    case CompProtKind.p_alternative:
      strOp = ")+(";
      break;
    case CompProtKind.p_andparallel:
      strOp = ")|(";
      break;
    case CompProtKind.p_orparallel:
      strOp = ")||(";
      break;
    case CompProtKind.p_sequence:
      strOp = ");(";
      break;
    case CompProtKind.p_restriction:
      strOp = ")/(";
      break;
    default: break;  
    }
    
    sb.append(operand1.toText());
    sb.append(strOp);
    sb.append(operand2.toText());
    sb.append(")");
    return sb.toString();
  }
}
