/* $Id: ManageRepository.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** Interface for magement of repository. */
public interface ManageRepository extends Remote {
  /** Explicit save of repository. */
  public void save() throws RemoteException, TIRExceptSave; 
  /** Return array of active (not commited, not aborted) work repositories. */
  public WorkRepository[] getActiveWork() throws RemoteException;
}
