/* $Id: CompContainedContainerIm.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.*;

abstract class CompContainedContainerIm extends CompObjectIm implements CompContained, CompContainer {
  public ID id;
  public CompContainer par;
  public CompRepository rep;
  public List cont;

  public CompContainedContainerIm(int okind, ID id, CompContainer parent, CompRepository rep) {
    super(okind);
    this.id = id;
    par = parent;
    this.rep = rep;
    cont = new List();

  }
  
  public ID getIdent() { return id; }
  public CompContainer parent() { return par; }
  public CompRepository repository() { return rep; }
  public FullID fullName() {
    FullID ret = null;
    if (par instanceof CompRepository ) {
      ret = new FullID(true);
      ret.name = id.name;
      ret.version = id.version;
    } else {
      FullID p = ((CompContained)par).fullName();
      ret = new FullID(p);
      ret.sn.addScope(new String(p.name));
      ret.name = id.name;
      ret.version = id.version;
    }
    return ret;
  }

 public CompContained[] contents() {
    CompContained[] ret = new CompContained [cont.size()];
    cont.toFirst();
    for(int i=0;i<cont.size();i++) {
      ret[i] = (CompContained) cont.aktual();
      cont.toNext();
    }
    return ret;
  }

  public CompContained lookup(String name, String ver) {
    CompContained ret = null;
    cont.toFirst();
    for(int i=0;i<cont.size();i++) {
      if (((CompContained) cont.aktual()).getIdent().isEqual(name,ver)) {
        ret = (CompContained) cont.aktual();
	break;
      }
      cont.toNext();
    }   
    return ret;
  }
  
  public CompContained[] lookup(String name) {
    CompContained[] pom = new CompContained [cont.size()];
    int i,j = 0;
    cont.toFirst();
    for(i=0;i<cont.size();i++) {
      if (((CompContained) cont.aktual()).getIdent().isNameEqual(name)) {
        pom[j] = (CompContained) cont.aktual();
	j++;
      }
      cont.toNext();
    }
    CompContained[] ret = new CompContained [j];
    for(i=0;i<j;i++) 
      ret[i]=pom[i];
    return ret;
  }

  public CompContained lookupTag(String name, String tag) {
    CompContained ret = null;
    cont.toFirst();
    for(int i=0;i<cont.size();i++) {
      if (((CompContained) cont.aktual()).getIdent().isTagEqual(name,tag)) {
        ret = (CompContained) cont.aktual();
	break;
      }
      cont.toNext();
    }   
    return ret;   
  }

  public boolean addObject(CompContained o) {
    cont.toFirst();
    for (int i=0;i<cont.size();i++) {
      if (((CompContained) cont.aktual()).getIdent().isNameEqual(o.getIdent().name))
        return false;
      cont.toNext();
    }
    cont.add(o);
    return true;
  }

  public boolean isContainer() {return true;}

  public void addToNormal(Container obj, CDLRepository normRep, java.util.ArrayList delayed) throws CDLExceptToNormal, CDLExceptRemote, CDLExceptLock {
    // !!! zrus to a tridu dej abstract !!!
  }
}
