package SOFA.SOFAnode.Made.TIR.Access.TIRBrowser;

import javax.swing.JFrame;
import javax.swing.JLabel;
import java.awt.*;
import java.awt.event.*;
import java.rmi.Naming;
import java.rmi.RemoteException;
import SOFA.SOFAnode.Made.TIR.*;

public class BrFrame extends JFrame {
  public BrFrame() {
    super("TIRBrowser");

    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });

    String rmiport = System.getProperty("sofa.rmiport","1099");
    String rmihost = System.getProperty("sofa.rmihost","localhost");
    Repository rep;
    
    try {
      rep = (Repository) Naming.lookup("//"+rmihost+":"+rmiport+"/Repository");
    } catch (Exception e) {
      getContentPane().add(new JLabel("Connection to TIR cannot be created"), BorderLayout.CENTER);
      return;
    }

    TIRBrowser browser = new TIRBrowser(rmihost,rmiport,rep);
    getContentPane().add(browser, BorderLayout.CENTER);
  }
}
