/* $Id: Lock.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;

class Lock {
  boolean locked;

  public Lock(boolean l) {
    locked = l;
  }

  synchronized public boolean lock() {
    try {
      while (locked) 
        wait();         /* wait until somenone call notify() */
      locked = true;
    } catch (InterruptedException e) {
      return false;
    }
    return true;
  }

  /* return false, if can't get lock immediatelly */
  synchronized public boolean tryLock() {
    if (locked) 
      return false;
    else {
      locked = true;
      return true;
    }
  }

  synchronized public void unlock() {
    locked = false;
    notify();  /* wake up others which wait for lock */
  }

  synchronized public boolean isLocked() {
    return locked;
  }
}
