/* $Id: ProviderDef.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for the <b>provider of the componets</b>. */

public interface ProviderDef extends Container, Contained {
  /** Create new amodule in this provider */
  public AModuleDef create_amodule(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock ;
  /** Create new architecture in this provider */
  public ArchitectureDef create_architecture(Identification id, FrameDef frame, boolean system) throws RemoteException, TIRExceptCreate, TIRExceptLock;
}
