/* $Id: CSProcCall.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Util.ConnectorProtocolGen;

public class CSProcCall implements ConnectorProtocolGen {

   public String generate(RoleDescription[] provideRoles, RoleDescription[] requireRoles) throws CannotGenerateException  {
       String all="";
       for( int i=0; i<provideRoles.length ; i++)
       {
    	    if( provideRoles[i].declaration.indexOf("[")!=-1 
	      || requireRoles[0].declaration.indexOf("[")!=-1 )
		throw new CannotGenerateException("Arrays not supported");
	    String result="";
	    for( int m=0 ; m<provideRoles[i].methods.length ; m++)
	    {
		String thismethod="?"+provideRoles[i].methods[m]+"{!"+requireRoles[0].methods[m]+"}";
		if( m>0 ) result = result+"||"+thismethod;
		else result = thismethod;
	    }
	    
	    if( i>0 ) all=all+"||"+result;
	    else all=result;
       }
       if( all.length()==0 ) all="NULL";
       all = "("+all+")*"/*+ "|| [UPDATE]*"*/;
       return all;
   }
}

