/* $Id: SyntaxErrorException.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */

package SOFA.SOFAnode.Util;

/**
 * The class for syntax error exceptions
 *
 * @author	Stanislav Visnovsky
 * @version	1.0.0
*/
public class SyntaxErrorException extends Exception {

/**
 * Creates the instance of a new syntax error exception.
 *
 * @author	Stanislav Visnovsky
 * @version	1.0.0
*/
    SyntaxErrorException() { super(); }

/**
 * Creates the instance of a new syntax error exception with a given comment.
 *
 * @author	Stanislav Visnovsky
 * @version	1.0.0
 * @param s	the comment on the raised exception
*/
    SyntaxErrorException(String s) { super(s); }
}

